Bug 1269147 - Incorrect gpgcheck value set when 'repos --list' command pulls updated content
Incorrect gpgcheck value set when 'repos --list' command pulls updated content
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
Depends On:
Blocks: 1207433
  Show dependency treegraph
Reported: 2015-10-06 09:08 EDT by Filip Nguyen
Modified: 2016-03-17 14:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-20 10:58:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Filip Nguyen 2015-10-06 09:08:42 EDT
Content may be updated by [1]. Then issuing [2] will trigger regeneration of the entitlement certificate to pull updated content and will update [3]. 

The problem is that when [1] updates gpgUrl to null then operation [2] will incorrectly leave gpgcheck in [3] to value '1'.

Note that doing [1] with gpgUrl=null and then doing [4] will correctly set gpgcheck in [3] to '0'.

[1] POST to /candlepin/owners/{owner}/content/{content_id}
[2] repos --list
[3] /etc/yum.repos.d/redhat.repo
[4] remove --all && attach --pool <pool that has the content updated by [1]>
Comment 3 Barnaby Court 2015-11-20 10:58:33 EST
What you are observing is the gap between when the certificate is updated on Candlepin and when those updates are pulled down to the machine by the rhsmcertd.

Note You need to log in before you can comment on or make changes to this bug.